Page MenuHomePhabricator

deploy EntitySchema to test
Closed, ResolvedPublic

Description

We want to deploy EntitySchema to production and for that we need to enable it on test first.

Details

Due Date
May 22 2019, 10:00 PM

Event Timeline

Please can I work on this issue?

Tarrow added a subscriber: Tarrow.Feb 25 2019, 8:35 AM

@Ifygal3 - thanks for your offer of help :)

Unfortunately, this issue is not one that can be just picked up.

It's really being used as a "todo" task for the team at WMDE working on shape expressions for Wikidata. It doesn't really require any "code" to be written but is more a of a procedure that needs to be undertaken by someone who's already working on this new extension.

Lydia_Pintscher set Due Date to Apr 29 2019, 10:00 PM.Apr 23 2019, 3:34 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptApr 23 2019, 3:34 PM

This probably means setting wmgUseWikibaseSchema to true for testwikidatawiki in InitialiseSettings.php.

Krinkle added a subscriber: Krinkle.EditedApr 23 2019, 4:30 PM

I don't know where to leave this feedback, but I'll place it here for now:

  • This extension registers a generically called namespace named "Schema", this overlaps with at least one other extension already (EventLogging). I recommend choosing a more specific name.
  • This extension registers two generically called special pages, "Special:NewSchema" and "Special:SchemaText". I don't know what they do. Knowing Wikidata from a user perspective mainly, I would expect the name to be more clear and specific about what it is for.
  • It's unclear to me why this is going through the costly overhead of yet another Wikibase* MediaWiki extension. If the code is meant to be re-usable, perhaps publish it as a Composer library installed into Wikibase via vendor or gitmodule? I understand that is how other parts of Wikibase are organised. What end-user product story is the extension offering on its own? (It appears none, but I don't know for sure.)
hoo removed Due Date.Apr 24 2019, 8:50 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptApr 24 2019, 8:50 PM

Renaming is being handled in T221942.

Michael set Due Date to May 22 2019, 10:00 PM.May 21 2019, 5:03 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 22 2019, 9:50 AM

Change 511844 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] deploy WikibaseSchema to test

https://gerrit.wikimedia.org/r/511844

Lucas_Werkmeister_WMDE renamed this task from deploy WikibaseSchema to test to deploy EntitySchema to test.May 22 2019, 11:10 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)

Change 511844 merged by jenkins-bot:
[operations/mediawiki-config@master] deploy WikibaseSchema to test

https://gerrit.wikimedia.org/r/511844

Mentioned in SAL (#wikimedia-operations) [2019-05-23T10:44:34Z] <Amir1> ladsgroup@mwmaint1002:/srv/mediawiki/php-1.34.0-wmf.5$ mwscript sql.php --wiki=testwikidatawiki extensions/EntitySchema/sql/EntitySchema.sql (T216956)

Mentioned in SAL (#wikimedia-operations) [2019-05-23T10:50:02Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:511844|deploy WikibaseSchema to test (T216956)]] (duration: 00m 56s)

Lydia_Pintscher closed this task as Resolved.Mon, May 27, 8:44 AM